Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.graph
Class Node

    java.lang.Object
      com.nwoods.jgo.JGoObject
          com.nwoods.jgo.JGoArea
              com.nwoods.jgo.JGoNode
                  com.nwoods.jgo.JGoBasicNode
                      edu.stanford.smi.protegex.widget.graph.Node

All Implemented Interfaces:
  com.nwoods.jgo.JGoIdentifiablePart, com.nwoods.jgo.JGoLabeledPart, com.nwoods.jgo.JGoObjectCollection, com.nwoods.jgo.JGoObjectSimpleCollection, Serializable

    public class Node

extends com.nwoods.jgo.JGoBasicNode

An area that represents a graph node. Contains one label, one port, and can have different shapes that are configurable by the user in the graph widget configuration dialog.

Author:
  Jennifer Vendetti
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.nwoods.jgo.JGoBasicNode
`ChangedAutoResize, ChangedDrawable, ChangedInsets, ChangedLabel, ChangedLabelSpot, ChangedPort`

Fields inherited from class com.nwoods.jgo.JGoNode
`ChangedPartID, ChangedToolTipText, ChangedUserObject`

Fields inherited from class com.nwoods.jgo.JGoObject
`Bottom, BottomCenter, BottomLeft, BottomMiddle, BottomRight, Center, CenterLeft, CenterRight, Changed4ResizeHandles, ChangedBrush, ChangedDraggable, ChangedDragsNode, ChangedGeometry, ChangedGrabChildSelection, ChangedPen, ChangedResizable, ChangedSelectable, ChangedVisible, ChangedZOrder, LastChangedHint, Left, LeftCenter, NoHandle, NoSpot, NumReservedHandles, RepaintAll, Right, RightCenter, SideLeft, SideRight, Top, TopCenter, TopLeft, TopMiddle, TopRight`

Constructor Summary
`Node()`

Method Summary
`void` | `copyChildren(com.nwoods.jgo.JGoArea newarea, com.nwoods.jgo.JGoCopyEnvironment env)`
`com.nwoods.jgo.JGoObject` | `copyObject(com.nwoods.jgo.JGoCopyEnvironment env)`
`com.nwoods.jgo.JGoDrawable` | `createDrawable(String shape)`
`com.nwoods.jgo.JGoText` | `createLabel(String labelText)`
`void` | `geometryChange(Rectangle prevRect)`
`protected boolean` | `geometryChangeChild(com.nwoods.jgo.JGoObject child, Rectangle prevRect)`
`com.nwoods.jgo.JGoBrush` | `getBrush()`
`String` | `getClsName()`
`Slot` | `getConnectorSlot()` Convenience method for returning the connector slot as a Slot object.
`com.nwoods.jgo.JGoDrawable` | `getDrawable()`
`Instance` | `getInstance()`
`com.nwoods.jgo.JGoText` | `getLabel()`
`com.nwoods.jgo.JGoPen` | `getPen()`
`com.nwoods.jgo.JGoPort` | `getPort()`
`String` | `getText()`
`String` | `getUniqueName()`
`void` | `initialize(Point loc, String shape, String labelText)`
`void` | `layoutChildren()`
`void` | `setBrush(com.nwoods.jgo.JGoBrush b)`
`void` | `setConnectorSlot(String connectorSlot)`
`void` | `setInstance(Instance instance)`
`void` | `setPen(com.nwoods.jgo.JGoPen p)`
`void` | `setText(String text)`
`void` | `setUniqueName(String uniqueName)`

Methods inherited from class com.nwoods.jgo.JGoBasicNode
`changeValue, copyNewValueForRedo, createDrawable, createPort, doMouseClick, getInsets, getLabelSpot, getLocation, isAutoResize, labelSpotChanged, layoutChildren, onAutoResizeChanged, removeObjectAtPos, setAutoResize, setDrawable, setInsets, setLabel, setLabelSpot, setLocation, setPort, SVGReadObject, SVGUpdateReference, SVGWriteObject`

Methods inherited from class com.nwoods.jgo.JGoNode
`getPartID, getToolTipText, getUserObject, setPartID, setToolTipText, setUserObject`

Methods inherited from class com.nwoods.jgo.JGoArea
`addObjectAtHead, addObjectAtTail, bringObjectToFront, computeBoundingRect, expandRectByPenWidth, findObject, getFirstObjectPos, getLastObjectPos, getNearestIntersectionPoint, getNextObjectPos, getNextObjectPosAtTop, getNumObjects, getObjectAtPos, getPrevObjectPos, insertObjectAfter, insertObjectBefore, isEmpty, moveChildren, paint, pickObject, removeObject, rescaleChildren, sendObjectToBack`

Methods inherited from class com.nwoods.jgo.JGoObject
`copyObjectDelayed, copyOldValueForUndo, doMouseDblClick, doUncapturedMouseMove, foredate, gainedSelection, getBoundingRect, getDocument, getDraggingObject, getFlags, getHeight, getLayer, getLeft, getLocation, getParent, getParentNode, getPartner, getSize, getSize, getSpotLocation, getSpotLocation, getTop, getTopLeft, getTopLeft, getTopLevelObject, getView, getWidth, handleResize, hideSelectionHandles, is4ResizeHandles, isAutoRescale, isBoundingRectInvalid, isChildOf, isDraggable, isDragsNode, isGrabChildSelection, isInitializing, isPointInObj, isResizable, isSelectable, isSkipsUndoManager, isSuspendChildUpdates, isSuspendUpdates, isTopLevel, isVisible, lostSelection, ownerChange, redirectSelection, set4ResizeHandles, setAutoRescale, setBoundingRect, setBoundingRect, setBoundingRect, setBoundingRectForce, setBoundingRectForce, setBoundingRectInvalid, setDraggable, setDragsNode, setFlags, setGrabChildSelection, setHeight, setInitializing, setLeft, setLocation, setLocationOffset, setLocationOffset, setParent, setPartner, setResizable, setSelectable, setSize, setSize, setSizeKeepingLocation, setSkipsUndoManager, setSpotLocation, setSpotLocation, setSpotLocation, setSpotLocationOffset, setSuspendChildUpdates, setSuspendUpdates, setTop, setTopLeft, setTopLeft, setVisible, setWidth, showSelectionHandles, spotOpposite, SVGReadAttributes, SVGWriteAttributes, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node

    public Node()

Method Detail

### createDrawable

    public com.nwoods.jgo.JGoDrawable createDrawable(String shape)

### createLabel

    public com.nwoods.jgo.JGoText createLabel(String labelText)

  Overrides:
    `createLabel` in class `com.nwoods.jgo.JGoBasicNode`

### initialize

    public void initialize(Point loc,
                           String shape,
                           String labelText)

### layoutChildren

    public void layoutChildren()

### copyObject

    public com.nwoods.jgo.JGoObject copyObject(com.nwoods.jgo.JGoCopyEnvironment env)

  Overrides:
    `copyObject` in class `com.nwoods.jgo.JGoNode`

### copyChildren

    public void copyChildren(com.nwoods.jgo.JGoArea newarea,
                             com.nwoods.jgo.JGoCopyEnvironment env)

  Overrides:
    `copyChildren` in class `com.nwoods.jgo.JGoBasicNode`

### geometryChange

    public void geometryChange(Rectangle prevRect)

  Overrides:
    `geometryChange` in class `com.nwoods.jgo.JGoArea`

### geometryChangeChild

    protected boolean geometryChangeChild(com.nwoods.jgo.JGoObject child,
                                          Rectangle prevRect)

  Overrides:
    `geometryChangeChild` in class `com.nwoods.jgo.JGoArea`

### getText

    public String getText()

  Specified by:
    `getText` in interface `com.nwoods.jgo.JGoLabeledPart`
  Overrides:
    `getText` in class `com.nwoods.jgo.JGoBasicNode`

### setText

    public void setText(String text)

  Overrides:
    `setText` in class `com.nwoods.jgo.JGoBasicNode`

### getInstance

    public Instance getInstance()

### setInstance

    public void setInstance(Instance instance)

### getConnectorSlot

    public Slot getConnectorSlot()

  Convenience method for returning the connector slot as a Slot object. Can only store primitive types in the property list.

### setConnectorSlot

    public void setConnectorSlot(String connectorSlot)

### getClsName

    public String getClsName()

### getUniqueName

    public String getUniqueName()

### setUniqueName

    public void setUniqueName(String uniqueName)

### getDrawable

    public com.nwoods.jgo.JGoDrawable getDrawable()

  Overrides:
    `getDrawable` in class `com.nwoods.jgo.JGoBasicNode`

### getLabel

    public com.nwoods.jgo.JGoText getLabel()

  Specified by:
    `getLabel` in interface `com.nwoods.jgo.JGoLabeledPart`
  Overrides:
    `getLabel` in class `com.nwoods.jgo.JGoBasicNode`

### getPort

    public com.nwoods.jgo.JGoPort getPort()

  Overrides:
    `getPort` in class `com.nwoods.jgo.JGoBasicNode`

### getPen

    public com.nwoods.jgo.JGoPen getPen()

  Overrides:
    `getPen` in class `com.nwoods.jgo.JGoBasicNode`

### setPen

    public void setPen(com.nwoods.jgo.JGoPen p)

  Overrides:
    `setPen` in class `com.nwoods.jgo.JGoBasicNode`

### getBrush

    public com.nwoods.jgo.JGoBrush getBrush()

  Overrides:
    `getBrush` in class `com.nwoods.jgo.JGoBasicNode`

### setBrush

    public void setBrush(com.nwoods.jgo.JGoBrush b)

  Overrides:
    `setBrush` in class `com.nwoods.jgo.JGoBasicNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request